Bug 434480 - Miro failed massrebuild attempt for GCC 4.3
Miro failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 09:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:49 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446767
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:42:58 EST
x86_64 build error

/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp:
In member function 'void asio::detail::pipe_select_interrupter::interrupt()':
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp:64:
warning: ignoring return value of 'ssize_t write(int, const void*, size_t)',
declared with attribute warn_unused_result
gcc -pthread -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE
-fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -fPIC
-I/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/include
-I/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/include/libtorrent
-I/usr/include/python2.5 -c
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp -o
build/temp.linux-x86_64-2.5/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.o
-Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1
-DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1
-DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1
-DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp: In member
function 'void libtorrent::entry::print(std::ostream&, int) const':
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:290: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:290: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:294: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:294: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:309: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:310: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:314: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:315: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:316: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:316: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:320: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:320: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:325: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:325: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:333: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:333: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:336: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:336: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:337: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:337: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:337: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:337: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:340: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:340: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:341: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:341: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:346: error:
invalid conversion from 'const char*' to 'libtorrent::size_type'
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:346: error: 
 initializing argument 1 of 'libtorrent::entry::entry(const libtorrent::size_type&)'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip: In
function 'std::basic_ostream<_CharT, _Traits>&
std::operator<<(std::basic_ostream<_CharT, _Traits>&, std::_Setfill<_CharT>)
[with _CharT = char, _Traits = std::char_traits<char>]':
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:312:  
instantiated from here
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip:194: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip: In
function 'std::basic_ostream<_CharT, _Traits>&
std::operator<<(std::basic_ostream<_CharT, _Traits>&, std::_Setw) [with _CharT =
char, _Traits = std::char_traits<char>]':
/builddir/build/BUILD/Miro-1.1.2/portable/libtorrent/src/entry.cpp:312:  
instantiated from here
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iomanip:262: error:
invalid use of incomplete type 'struct std::basic_ostream<char,
std::char_traits<char> >'
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/iosfwd:61:
error: declaration of 'struct std::basic_ostream<char, std::char_traits<char> >'
error: command 'gcc' failed with exit status 1
error: Bad exit status from /var/tmp/rpm-tmp.70507 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.70507 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/Miro.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target x86_64 --nodeps
//builddir/build/SPECS/Miro.spec'
LEAVE do --> EXCEPTION RAISED

Comment 2 Christopher Aillon 2008-03-02 20:44:21 EST
Not sure why I'm on the cc list... but here you go.

% cvs ci
cvs commit: Examining .
? x86_64
? Miro-1.1.2-3.fc9.src.rpm
? Miro-1.1.2
? .build-1.1.2-3.fc9.log
**** Access denied: caillon is not in ACL for rpms/Miro/devel
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!
cvs commit: saving log message in /tmp/cvsqXpvID
zsh: exit 1     cvs ci
% cvs diff
? .build-1.1.2-3.fc9.log
? Miro-1.1.2
? Miro-1.1.2-3.fc9.src.rpm
? x86_64
cvs diff: Diffing .
Index: Miro-gcc43.patch
===================================================================
RCS file: /cvs/extras/rpms/Miro/devel/Miro-gcc43.patch,v
retrieving revision 1.2
diff -d -u -p -r1.2 Miro-gcc43.patch
--- Miro-gcc43.patch	15 Feb 2008 11:16:41 -0000	1.2
+++ Miro-gcc43.patch	3 Mar 2008 01:43:19 -0000
@@ -1,17 +1,43 @@
-diff -up Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp.fix
Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp
---- Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp.fix
2008-02-15 03:45:47.000000000 -0700
-+++ Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp	2008-02-15
03:46:00.000000000 -0700
-@@ -38,6 +38,7 @@ POSSIBILITY OF SUCH DAMAGE.
+diff -up Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp.gcc43
Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp
+--- Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp.gcc43
2008-02-07 21:30:02.000000000 -0500
++++ Miro-1.1.2/portable/libtorrent/include/libtorrent/peer_id.hpp	2008-03-02
20:32:44.000000000 -0500
+@@ -37,7 +37,7 @@ POSSIBILITY OF SUCH DAMAGE.
+ #include <iomanip>
  #include <cctype>
  #include <algorithm>
- #include <string>
+-#include <string>
 +#include <cstring>
  
  #include "libtorrent/config.hpp"
  #include "libtorrent/assert.hpp"
-diff -up Miro-1.1.2/portable/libtorrent/src/file.cpp.fix
Miro-1.1.2/portable/libtorrent/src/file.cpp
---- Miro-1.1.2/portable/libtorrent/src/file.cpp.fix	2008-02-15
04:12:42.000000000 -0700
-+++ Miro-1.1.2/portable/libtorrent/src/file.cpp	2008-02-15 04:15:19.000000000 -0700
+diff -up Miro-1.1.2/portable/libtorrent/src/entry.cpp.gcc43
Miro-1.1.2/portable/libtorrent/src/entry.cpp
+--- Miro-1.1.2/portable/libtorrent/src/entry.cpp.gcc43	2008-02-07
21:30:04.000000000 -0500
++++ Miro-1.1.2/portable/libtorrent/src/entry.cpp	2008-03-02 20:32:44.000000000
-0500
+@@ -32,6 +32,7 @@ POSSIBILITY OF SUCH DAMAGE.
+ 
+ #include "libtorrent/pch.hpp"
+ 
++#include <iostream>
+ #include <algorithm>
+ #include <iomanip>
+ #include "libtorrent/entry.hpp"
+@@ -287,11 +288,11 @@ namespace libtorrent
+ 	void entry::print(std::ostream& os, int indent) const
+ 	{
+ 		TORRENT_ASSERT(indent >= 0);
+-		for (int i = 0; i < indent; ++i) os << " ";
++		for (int i = 0; i < indent; ++i) os << entry(" ");
+ 		switch (m_type)
+ 		{
+ 		case int_t:
+-			os << integer() << "\n";
++			os << integer() << entry("\n");
+ 			break;
+ 		case string_t:
+ 			{
+diff -up Miro-1.1.2/portable/libtorrent/src/file.cpp.gcc43
Miro-1.1.2/portable/libtorrent/src/file.cpp
+--- Miro-1.1.2/portable/libtorrent/src/file.cpp.gcc43	2008-02-07
21:30:04.000000000 -0500
++++ Miro-1.1.2/portable/libtorrent/src/file.cpp	2008-03-02 20:36:10.000000000 -0500
 @@ -57,6 +57,7 @@ typedef int mode_t;
  #include <sys/stat.h>
  #include <sys/types.h>
Comment 3 Alex Lancaster 2008-03-02 22:13:55 EST
(In reply to comment #2)
> Not sure why I'm on the cc list... but here you go.

Thanks for the patch, can you just attached the updated patch to this bug?  I
tried cutting and pasting the output of "cvs diff" into a patch file and apply
that but I think bugzilla messes up the line spacing etc such that it doesn't
seem to apply.
Comment 4 Alex Lancaster 2008-03-11 09:42:41 EDT
Thanks.  I manually reconstructed the patch from the bugzilla, and applied it. 
It appear to build now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=42542

Closing bug.  Will push patch to upstream:

http://bugzilla.pculture.org/show_bug.cgi?id=9691

Note You need to log in before you can comment on or make changes to this bug.